<!-- extends表明此页面继承自 base.html 文件 -->
{% extends "base.html" %} {% load staticfiles %}
<!-- 写入 base.html 中定义的 title -->
{% block title %} 写文章 {% endblock title %}
<!-- 写入 base.html 中定义的 content -->
{% block content %}
    <!-- 写文章表单 -->
    <div class="container">
        <div class="row">
            <div class="col-12">
                <br>
                <!-- 提交文章的表单 -->
                <form method="post" enctype="multipart/form-data" action=".">
                    <!-- Django中需要POST数据的地方都必须有csrf_token -->
                    {% csrf_token %}


                    <!-- 文章的板块 -->
                    <div class="form-group">
                        <label for="column">板块</label>
                        <!-- 文章id和name需要修改！！！ -->
                        <select class="form-control col-3" id="column" name="column" required>
                            <option value="">{请选择板块}..</option>
                            <option value=1>生活</option>
                            <option value=2>学习</option>
                            <option value=3>交友</option>
                            <!-- 如果板块数目动态获取使用下面的内容 -->
                            <!--  {% for column in columns %}
                            <option value="{{ column.id }}">{{ column }}</option>
                        {% endfor %}-->
                        </select>
                    </div>
                    <!-- 文章的标签 -->
                    <!-- <div class="form-group">
                         <label for="forum">{文章标签}</label>
                         <input type="text" class="form-control" id="forum" name="forum">
                     </div>-->
                    <!-- 文章的标题 -->
                    <div class="form-group">
                        <!-- 标签 -->
                        <label for="title">文章标题</label>
                        <!-- 文本框 -->
                        <input type="text" class="form-control" id="title" name="title">
                    </div>
                    <!-- 文章的正文 -->
                    <div class="form-group">
                        <label for="body">文章正文</label>
                        <!-- 文本区域 -->
                        <textarea type="text" class="form-control" id="body" name="body" rows="12"></textarea>
                    </div>
                    <!-- 上传文件 -->
                    <div class="form-group">
                        <div class="col-3">
                            <label for="attachment">上传文件</label>
                            <input type="file" class="form-control-file" name="attachment" id="attachment">
                        </div>
                    </div>
                    <!-- 提交按钮 -->
                    <button type="submit" class="btn btn-primary">提交文章</button>
                </form>
            </div>
        </div>
    </div>

    {% if messages %}
        <!--弹框形式-->
        <script>
            {% for msg in messages %}
                alert('{{ msg.message }}');
            {% endfor %}
        </script>
        <!--左下角弹框形式-->
        <!--<ul class="messages">-->
        <!--    {% for message in messages %}-->
            <!--    <li {% if message.tags %} class="{{ message.tags }}" {% endif %}>{{ message }}</li>-->
            <!--    {% endfor %}-->
        <!--</ul>-->
    {% endif %}
{% endblock content %}
